# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "transform-gizmo-bevy"
version = "0.9.0"
authors = ["Urho Laukkarinen <urho.laukkarinen@gmail.com>"]
build = false
include = [
    "../../LICENSE-APACHE",
    "../../LICENSE-MIT",
    "**/*.rs",
    "**/*.wgsl",
    "Cargo.toml",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "bevy integration for transform-gizmo"
homepage = "https://github.com/urholaukkarinen/transform-gizmo"
readme = "README.md"
keywords = [
    "gizmo",
    "bevy",
]
categories = [
    "gui",
    "game-development",
    "game-engines",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/urholaukkarinen/transform-gizmo"
resolver = "2"

[features]
default = [
    "gizmo_picking_backend",
    "mouse_interaction",
]
gizmo_picking_backend = ["dep:bevy_picking"]
mouse_interaction = []

[lib]
name = "transform_gizmo_bevy"
path = "src/lib.rs"

[[example]]
name = "bevy_minimal"
path = "examples/bevy_minimal.rs"

[[example]]
name = "ui_blocked_gizmo"
path = "examples/ui_blocked_gizmo.rs"

[dependencies.bevy_app]
version = "0.19"
default-features = false

[dependencies.bevy_asset]
version = "0.19"
default-features = false

[dependencies.bevy_camera]
version = "0.19"
default-features = false

[dependencies.bevy_core_pipeline]
version = "0.19"
default-features = false

[dependencies.bevy_derive]
version = "0.19"
default-features = false

[dependencies.bevy_ecs]
version = "0.19"
default-features = false

[dependencies.bevy_image]
version = "0.19"
default-features = false

[dependencies.bevy_input]
version = "0.19"
default-features = false

[dependencies.bevy_log]
version = "0.19"
default-features = false

[dependencies.bevy_math]
version = "0.19"
features = ["mint"]
default-features = false

[dependencies.bevy_mesh]
version = "0.19"
default-features = false

[dependencies.bevy_pbr]
version = "0.19"
default-features = false

[dependencies.bevy_picking]
version = "0.19"
optional = true
default-features = false

[dependencies.bevy_platform]
version = "0.19"
default-features = false

[dependencies.bevy_reflect]
version = "0.19"
default-features = false

[dependencies.bevy_render]
version = "0.19"
default-features = false

[dependencies.bevy_shader]
version = "0.19"
default-features = false

[dependencies.bevy_transform]
version = "0.19"
default-features = false

[dependencies.bevy_utils]
version = "0.19"
default-features = false

[dependencies.bevy_window]
version = "0.19"
default-features = false

[dependencies.bytemuck]
version = "1.23"

[dependencies.transform-gizmo]
version = "0.9.0"

[dependencies.uuid]
version = "1.17"

[dev-dependencies.bevy]
version = "0.19"

[lints.clippy]
as_ptr_cast_mut = "deny"
await_holding_lock = "deny"
bool_to_int_with_if = "deny"
branches_sharing_code = "deny"
char_lit_as_u8 = "deny"
checked_conversions = "deny"
clear_with_drain = "deny"
cloned_instead_of_copied = "deny"
dbg_macro = "deny"
debug_assert_with_mut_call = "deny"
default_union_representation = "deny"
derive_partial_eq_without_eq = "deny"
disallowed_macros = "deny"
disallowed_methods = "deny"
disallowed_names = "deny"
disallowed_script_idents = "deny"
disallowed_types = "deny"
doc_link_with_quotes = "deny"
doc_markdown = "deny"
empty_enum = "deny"
empty_line_after_outer_attr = "deny"
enum_glob_use = "deny"
equatable_if_let = "deny"
exit = "deny"
expl_impl_clone_on_copy = "deny"
explicit_deref_methods = "deny"
explicit_into_iter_loop = "deny"
explicit_iter_loop = "deny"
fallible_impl_from = "deny"
filter_map_next = "deny"
flat_map_option = "deny"
float_cmp_const = "deny"
fn_params_excessive_bools = "deny"
fn_to_numeric_cast_any = "deny"
from_iter_instead_of_collect = "deny"
get_unwrap = "deny"
if_let_mutex = "deny"
implicit_clone = "deny"
imprecise_flops = "deny"
index_refutable_slice = "deny"
inefficient_to_string = "deny"
invalid_upcast_comparisons = "deny"
iter_not_returning_iterator = "deny"
iter_on_empty_collections = "deny"
iter_on_single_items = "deny"
large-types-passed-by-value = "allow"
large_digit_groups = "deny"
large_include_file = "deny"
large_stack_arrays = "deny"
large_stack_frames = "deny"
large_types_passed_by_value = "deny"
let_underscore_untyped = "allow"
let_unit_value = "deny"
linkedlist = "deny"
lossy_float_literal = "deny"
macro_use_imports = "deny"
manual_assert = "deny"
manual_clamp = "deny"
manual_instant_elapsed = "deny"
manual_let_else = "deny"
manual_ok_or = "deny"
manual_string_new = "deny"
map_err_ignore = "deny"
map_flatten = "deny"
map_unwrap_or = "deny"
match_on_vec_items = "deny"
match_same_arms = "deny"
match_wild_err_arm = "deny"
match_wildcard_for_single_variants = "deny"
mem_forget = "deny"
mismatching_type_param_order = "deny"
missing_assert_message = "allow"
missing_enforced_import_renames = "deny"
missing_errors_doc = "allow"
missing_safety_doc = "deny"
mut_mut = "deny"
mutex_integer = "deny"
needless-pass-by-value = "allow"
needless_borrow = "deny"
needless_continue = "deny"
needless_for_each = "deny"
needless_pass_by_value = "deny"
negative_feature_names = "deny"
nonstandard_macro_braces = "deny"
option_option = "deny"
path_buf_push_overwrite = "deny"
print_stdout = "deny"
ptr_as_ptr = "deny"
ptr_cast_constness = "deny"
pub_without_shorthand = "deny"
rc_mutex = "deny"
redundant_type_annotations = "deny"
ref_option_ref = "deny"
rest_pat_in_fully_bound_structs = "deny"
same_functions_in_if_condition = "deny"
semicolon_if_nothing_returned = "deny"
significant_drop_tightening = "deny"
single_match_else = "deny"
str_to_string = "deny"
string_add = "deny"
string_add_assign = "deny"
string_lit_as_bytes = "deny"
string_to_string = "deny"
suspicious_command_arg_space = "deny"
suspicious_xor_used_as_pow = "deny"
todo = "deny"
too_many_lines = "allow"
trailing_empty_array = "deny"
trait_duplication_in_bounds = "deny"
transmute_ptr_to_ptr = "deny"
tuple_array_conversions = "deny"
unchecked_duration_subtraction = "deny"
undocumented_unsafe_blocks = "allow"
unimplemented = "deny"
uninlined_format_args = "allow"
unnecessary_box_returns = "deny"
unnecessary_safety_comment = "deny"
unnecessary_safety_doc = "deny"
unnecessary_self_imports = "deny"
unnecessary_struct_initialization = "deny"
unnecessary_wraps = "deny"
unnested_or_patterns = "deny"
unused_peekable = "deny"
unused_rounding = "deny"
unused_self = "deny"
unwrap_used = "allow"
use_self = "deny"
useless_transmute = "deny"
verbose_file_reads = "deny"
wildcard_dependencies = "deny"
wildcard_imports = "allow"
zero_sized_map_values = "deny"

[lints.rust]
elided_lifetimes_in_paths = "allow"
rust_2021_prelude_collisions = "deny"
semicolon_in_expressions_from_macros = "deny"
trivial_numeric_casts = "deny"
unsafe_code = "deny"
unsafe_op_in_unsafe_fn = "deny"
unused_extern_crates = "deny"
unused_import_braces = "deny"
unused_lifetimes = "deny"
